## ros-foxy-vrxperience-bridge 1.0.0

=== CMakeLists.txt ===
# Copyright 2020 Adam Gotlib (WUT Driverless)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(vrxperience_bridge)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake_auto REQUIRED)
find_package(CycloneDDS REQUIRED COMPONENTS idlc)
ament_auto_find_build_dependencies()

# generate code to handle custom DDS data types
idlc_generate(IndyDS_RoadLinesPolynoms_lib "res/IndyDS_RoadLinesPolynoms.idl")
idlc_generate(IndyDS_SensorMovableTargetsBoundingBoxes_lib "res/IndyDS_SensorMovableTargetsBoundingBoxes.idl")
idlc_generate(IndyDS_GPS_lib "res/IndyDS_GPS.idl")
idlc_generate(IndyDS_LaserMeter_lib "res/IndyDS_LaserMeter.idl")
idlc_generate(IndyDS_SensorMovableTargets_lib "res/IndyDS_SensorMovableTargets.idl")
idlc_generate(IndyDS_VehicleOutput_lib "res/IndyDS_VehicleOutput.idl")
idlc_generate(IndyDS_CabToModelCorrective_lib "res/IndyDS_CabToModelCorrective.idl")
idlc_generate(IndyDS_CabToSteeringCorrective_lib "res/IndyDS_CabToSteeringCorrective.idl")
idlc_generate(DDS_Octets_lib "res/DDS_Octets.idl")

ament_auto_add_library(${PROJECT_NAME} SHARED
  src/recv_dds_done.cpp
  src/recv_gps.cpp
  src/recv_laser_meter.cpp
  src/recv_movable_targets.cpp
  src/recv_movable_targets_bounding_boxes.cpp
  src/recv_road_lines_polynoms.cpp
  src/recv_vehicle_output.cpp
  src/send_cab_to_model_corrective.cpp
  src/send_cab_to_steering_corrective.cpp
  src/send_dds_done_reply.cpp
)
target_link_libraries(${PROJECT_NAME}
  CycloneDDS::ddsc
  DDS_Octets_lib
  IndyDS_CabToModelCorrective_lib
  IndyDS_CabToSteeringCorrective_lib
  IndyDS_GPS_lib
  IndyDS_LaserMeter_lib
  IndyDS_RoadLinesPolynoms_lib
  IndyDS_SensorMovableTargetsBoundingBoxes_lib
  IndyDS_SensorMovableTargets_lib
  IndyDS_VehicleOutput_lib
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::DdsDoneReceiver"
  EXECUTABLE recv_dds_done
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::GpsReceiver"
  EXECUTABLE recv_gps
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::LaserMeterReceiver"
  EXECUTABLE recv_laser_meter
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::MovableTargetsReceiver"
  EXECUTABLE recv_movable_targets
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::MovableTargetsBoundingBoxesReceiver"
  EXECUTABLE recv_movable_targets_bounding_boxes
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::RoadLinesPolynomsReceiver"
  EXECUTABLE recv_road_lines_polynoms
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::VehicleOutputReceiver"
  EXECUTABLE recv_vehicle_output
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::CabToModelCorrectiveSender"
  EXECUTABLE send_cab_to_model_corrective
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::CabToSteeringCorrectiveSender"
  EXECUTABLE send_cab_to_steering_corrective
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "vrxperience_bridge::DdsDoneReplySender"
  EXECUTABLE send_dds_done_reply
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    launch
)

=== debian/changelog ===
ros-foxy-vrxperience-bridge (1.0.0-1focal) focal; urgency=high

  * Merge pull request #5 <https://github.com/autowarefoundation/ansys-vrxperience-ros2/issues/5> from autowarefoundation/components
    ROS2 Components and Clean-up
  * Merge pull request #4 <https://github.com/autowarefoundation/ansys-vrxperience-ros2/issues/4> from autowarefoundation/fix-memory-leak
    Fix memory leak in receiver.
  * Removing unnecessary preprocessor macros.
  * Updating senders and receivers to be Components.
  * Preparing data receiver and sender to have child components.
  * Preparing package.xml and CMakeLists.txt for ROS Components.
  * Merge pull request #3 <https://github.com/autowarefoundation/ansys-vrxperience-ros2/issues/3> from autowarefoundation/fix-incorrect-indexing
    Fix incorrect index being used when iterating over received DDS samples
  * Merge pull request #2 <https://github.com/autowarefoundation/ansys-vrxperience-ros2/issues/2> from autowarefoundation/linting-fixes
    Linting fixes
  * CMake linting.
  * Uncrustify fixes.
  * Merge pull request #1 <https://github.com/autowarefoundation/ansys-vrxperience-ros2/issues/1> from autowarefoundation/switch-to-cyclonedds
    Switch to Cyclone DDS for exchanging data with the simulator
  * Fix most of the build warnings
    - change int to uint32_t type for array indexing
    - reorder member variables to match order of initialization
    - prevent warning about unused rosMsg argument in send_dds_done_reply
  * Split VRXPERIENCE IDLs into separate files
    This shortens length of generated source and header files and prevents the generator
    from complaining about exceeding file limit for C code.
  * Fix incorrect topic descriptor for receiving CabToSteeringCorrective
  * Fix Cyclone DDS subscription code
    - initialize sample buffer on start
    - make sure a sample is new before processing it
  * Switch from RTI Connext to Eclipse CycloneDDS
  * Initial commit.
  * Contributors: Adam Gotlib, Joshua Whitley

 -- Adam Gotlib <gotlib.adam+dev@gmail.com>  Thu, 19 Nov 2020 06:00:00 -0000

=== debian/control ===
Source: ros-foxy-vrxperience-bridge
Section: misc
Priority: optional
Maintainer: Adam Gotlib <gotlib.adam+dev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-cyclonedds, ros-foxy-launch-xml, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-tf2, ros-foxy-vrxperience-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-vrxperience-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cyclonedds, ros-foxy-launch-xml, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-tf2, ros-foxy-vrxperience-msgs, ros-foxy-ros-workspace
Description: Bridge between the simulator and ROS 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-vrxperience-bridge//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
